import { createReducer, on } from '@ngrx/store';
import { initialState } from './state';
import { companyListSuccess } from './actions';

export const reducer = createReducer(
  initialState,
  on(companyListSuccess, (state, action) => {
    return {
      ...state,
      companyList: action.companyList
    };
  })
);
